View Issue Details

IDProjectCategoryView StatusLast Update
0016201ScribusStory Editor / Text Framespublic2020-08-06 07:13
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version1.5.6.svn 
Target VersionFixed in Version 
Summary0016201: RTL: switching from RTL to LTR does not behave correctly with colums
Description- create a text frame
- make it RTL
- define three columns
- put some text in the right most column
- switch to LTR
- the text is now LTR, but is still in the right most column.
TagsNo tags attached.
PatchNo

Activities

jghali

2020-07-30 19:37

administrator   ~0047893

Unable to reproduce here.

ale

2020-07-31 06:04

manager  

rtl-columns.gif (82,496 bytes)
rtl-columns.gif (82,496 bytes)

cbradney

2020-08-05 20:47

administrator   ~0047901

A little research here shows RTL should be applicable at these levels characters (eg a single word in a paragraph), paragraph, story (where this issue would be resolved, or the entire document.

jghali

2020-08-05 21:28

administrator   ~0047904

@ale, the way your are applying LTR in your animated GIF applies LTR at the paragraph level. If you want to apply LTR so that LTR is reflected on columns, your must do so by applying LTR at the story level, ie by selecting the box itself and applying LTR to the box.

ale

2020-08-06 07:13

manager   ~0047909

one more case where it sticks out that having text format being applied to (non empty) frames confuses the user.

the whole text in the frame is ltr, i don't see any reason why scribus should think that the columns should be rtl.
at least not with the current way rtl/ltr is applied in scribus.

of course, for some formatting it might be necessary to define the rtl / ltr at a different level than the paragraph, but, then it should be clear to the user what the different levels are.
as an example, we could have an ltr/rtl switch at document creation, which would then be used as the default when creating the default styles (and all other styles).

Issue History

Date Modified Username Field Change
2020-07-30 19:19 ale New Issue
2020-07-30 19:37 jghali Note Added: 0047893
2020-07-31 06:04 ale File Added: rtl-columns.gif
2020-08-05 20:47 cbradney Note Added: 0047901
2020-08-05 21:28 jghali Note Added: 0047904
2020-08-05 21:28 jghali Assigned To => jghali
2020-08-05 21:28 jghali Status new => resolved
2020-08-05 21:28 jghali Resolution open => no change required
2020-08-05 21:29 jghali Status resolved => closed
2020-08-06 07:13 ale Note Added: 0047909